Package org.opensaml.core.metrics.impl

# Class MetricRegistryInitializer

java.lang.Object
org.opensaml.core.metrics.impl.MetricRegistryInitializer

All Implemented Interfaces:
  `Initializer`

public class MetricRegistryInitializer extends Object implements Initializer
An initializer for the `MetricRegistry` held by the `ConfigurationService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`MetricRegistryInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### MetricRegistryInitializer

public MetricRegistryInitializer()

## Method Details

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully